JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class Guid.REFIID

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Guid.GUID
              com.sun.jna.platform.win32.Guid.IID
                  com.sun.jna.platform.win32.Guid.REFIID

Enclosing interface:
  Guid

    public static class Guid.REFIID

extends Guid.IID

The Class REFIID.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Guid.GUID
`Guid.GUID.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary

Fields inherited from class com.sun.jna.platform.win32.Guid.GUID
`Data1, Data2, Data3, Data4`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Guid.REFIID()` Instantiates a new refiid.
`Guid.REFIID(byte[] data)` Instantiates a new refiid.
`Guid.REFIID(Pointer memory)` Instantiates a new refiid.

Method Summary

Methods inherited from class com.sun.jna.platform.win32.Guid.GUID
`fromBinary, fromString, getFieldOrder, newGuid, toByteArray, toGuidString, writeFieldsToMemory`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Guid.REFIID

    public Guid.REFIID()

  Instantiates a new refiid.

### Guid.REFIID

    public Guid.REFIID(Pointer memory)

  Instantiates a new refiid.

  Parameters:
    `memory` - the memory

### Guid.REFIID

    public Guid.REFIID(byte[] data)

  Instantiates a new refiid.

  Parameters:
    `data` - the data

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.